Installation
============

DocBlox can easily be installed either via PEAR or manually from Github at [http://github.com/mvriel/docblox](http://github.com/mvriel/docblox).

Independent to the chosen installation type has DocBlox several dependencies on other software packages.
Some of these dependencies are only necessary when generating specific parts of the documentation, such as PDFs or Graphs.
If a dependency is only limited to a subset of features it is denoted with the dependency entry below.

* PHP 5.2.6 or higher (5.2.x might work but is not supported, 5.3 is explicitly supported)
* XSL extension for PHP, only applicable when generating HTML via XSL (recommended)
* PEAR, only applicable when generating Graphs (recommended)
* Graphviz, only applicable when generating Graphs (recommended)
* wkhtmltopdf, only applicable when generating PDFs (not enabled by default)

PEAR
----

PEAR provides the latest released version of DocBlox and is an easy way to set up your machine.
DocBlox depends on Zend Framework and the Markdown library which are also on PEAR.

You can prepare your PEAR installation using the following commands:

    $ pear channel-discover http://pear.docblox-project.org
    $ pear channel-discover http://pear.zfcampus.org
    $ pear channel-discover http://pear.michelf.com

And to install DocBlox you can use the following command:

    $ pear install DocBlox/DocBlox

When the installation is finished you can invoke the `docblox` command from any path in your system.
Recommended is to read the chapter _Basic Usage_, which will explain how to start using DocBlox.

Manual Installation
-------------------

At docblox-project.org you can find the latest available release as download.
It is also possible to download the development version though this is not recommended for production environments.

The steps necessary for manual installation are:

  1. download your preferred installation archive from http://docblox-project.org
  2. unzip in your favourite location
  3. For Linux or Mac OSX: create a symlink from <DOCBLOX_PATH>/bin/docblox.php to you bin folder (usually /usr/bin) named _docblox_
  4. Add <DOCBLOX_PATH>/bin to your PATH so that you can invoke docblox.bat from any location

When the installation is finished you can invoke the `docblox` command from any path in your system.
Recommended is to read the chapter _Basic Usage_, which will explain how to start using DocBlox.
